use serde::{Serialize, Deserialize};

#[derive(Serialize, Deserialize, Debug)]
struct Links {
    title: String,
    links: Vec<Link>,
}

#[derive(Serialize, Deserialize, Debug)]
struct Link {
    text: String,
    icon: String,
    href: Option<String>,
    copy: Option<String>,
    rels: Option<String>,
}


#[derive(Serialize, Deserialize, Debug, PartialEq)]
pub struct LinksConfig {
    pub source: String,
    pub template: String,
    pub static_dir: String,
}
#[derive(Serialize, Deserialize, Debug)]
pub struct RustyLinks {
    config: Config,
    links: Vec<Links>,
    pub metadata: Option<MetaData>,
}

#[derive(Serialize, Deserialize, Debug)]
pub struct MetaData {
    pub last_updated: String,
}

#[derive(Serialize, Deserialize, Debug)]
struct Config {
    title: String,
    name: String,
    description: String,
    avatar: String,
    background: String,
    background_opacity: f64,
}